<?php
class TFLPostType {
	/**
	 * Get settings
	 * @return array of data settings
	 */
	public static function get_st() {
		return get_option(TFL_KEY, [
			"hide_footer" => false,
			"classes"	  => ""
		]);
	}

	/**
	 * Get the current post footer
	 * @return array Data of current footer
	 */
	public static function getPostFooter(){
//		global $post;
//		if(!$post) return;
		$tflSettings 			= self::get_st();
		$currentSettingsFooter = false;
//		$currentFooter = $currentSettingsFooter;
		$currentFooter =  tfl_meta_option('footer_type');

		$currentFooterType 		= get_post_meta($currentFooter, '', true);
		return [		
			"footer"	  				=> $currentFooterType,
		];
	}
}